Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.rules
Class JboRangeValidator

    java.lang.Object
      |
      +--oracle.jbo.server.rules.JboBaseValidator
            |
            +--oracle.jbo.server.rules.JboRangeValidator

public class JboRangeValidator
extends JboBaseValidator
implements JbiValidator

A validator that tests if a literal value lies within a pre-defined range.

Since:
  Jdeveloper 3.0

Fields inherited from class oracle.jbo.server.rules.JboBaseValidator
`mLValue`

Constructor Summary
`JboRangeValidator()` Creates an uninitialized range validator.
`JboRangeValidator(boolean inverse, java.lang.Object minValue, java.lang.Object maxValue)` Creates a range validator.

Method Summary
`java.lang.Object` | `getMax()` Gets the maximum value for the range.
`java.lang.Object` | `getMin()` Gets the minimum value for the range.
`void` | `setMax(java.lang.Object maxValue)` Sets the maximum value for the range.
`void` | `setMin(java.lang.Object minValue)` Sets the minimum value for the range.
`protected void` | `setNewValue(java.lang.Object newValue)` after setting the new value, prepare the comparator to be of same type if it is not already so.
`java.lang.String` | `toString()` Internal: For debugging only.
`boolean` | `validateValue(java.lang.Object value)` Validates that a value is in a pre-defined range.

Methods inherited from class oracle.jbo.server.rules.JboBaseValidator
`getDescription, getInverse, setDescription, setInverse, setValidatingAttribute, setValidatingAttribute, vetoableChange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JboRangeValidator

    public JboRangeValidator()

  Creates an uninitialized range validator.

  The methods `setMin()` and `setMax()` must be invoked to set the range.

### JboRangeValidator

    public JboRangeValidator(boolean inverse,
                             java.lang.Object minValue,
                             java.lang.Object maxValue)

  Creates a range validator.

  Parameters:
    `inverse` - if `true` the logic of this validator's comparison relation is inverted.
    `minValue` - the least value of the range.
    `maxValue` - the greatest value of the range.

Method Detail

### setNewValue

    protected void setNewValue(java.lang.Object newValue)
                        throws java.lang.Exception

  after setting the new value, prepare the comparator to be of same type if it is not already so.
  Overrides:
    setNewValue in class JboBaseValidator
  Tags copied from class: JboBaseValidator
  Parameters:
    `newValue` - either the attribute's value or a value to use to compare in the validator.

### validateValue

    public boolean validateValue(java.lang.Object value)

  Validates that a value is in a pre-defined range.

  The range is set using the `setMin()` and `setMax()` methods.

  This method is called by `JboBaseValidator#vetoableChange()`.

  Specified by:
    validateValue in interface JbiValidator
  Overrides:
    validateValue in class JboBaseValidator
  Parameters:
    `value` - the object to be validated.
  Returns:
    `true` if the relation is in the range.

### setMin

    public void setMin(java.lang.Object minValue)

  Sets the minimum value for the range.
  Parameters:
    `the` - new minimum value.

### setMax

    public void setMax(java.lang.Object maxValue)

  Sets the maximum value for the range.
  Parameters:
    `the` - new maximum value.

### getMin

    public java.lang.Object getMin()

  Gets the minimum value for the range.
  Returns:
    the minimum value.

### getMax

    public java.lang.Object getMax()

  Gets the maximum value for the range.
  Returns:
    the maximum value.

### toString

    public java.lang.String toString()

  Internal: For debugging only.
  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD